.tec_sponsors_query {
    border-top: 1px solid var(--wp--preset--color--gray-contrast-1);
    display: flex;
    gap: 1rem;
    flex-direction: column;
    padding-top: var(--wp--preset--spacing--40);
    padding-bottom: var(--wp--preset--spacing--40);
    width: 100%;
}

.tec_sponsors_query .has_asp_ratio.sponsor_img {
    display: block;
    height: 0;
    position: relative;
    width: 100%;
    padding-bottom: 10%;
}

.tec_sponsors_query .random_sponsors_query {
    flex-wrap: wrap;
    justify-content: center;
}

.tec_sponsors_query .random_sponsors_query:has(>a:nth-of-type(n+3)) .sponsor_img {
    padding-bottom: 14%;
    width: calc(100% / 4);
}

.tec_sponsors_query .random_sponsors_query:has(>a:nth-of-type(n+4)) .sponsor_img {
    padding-bottom: 12%;
    width: calc(100% / 5);
}

.random_sponsors_query {
    display: flex;
    width: 100%;
}

.single-tribe_events .tribe-events-related-events-title {
    font-size: var(--wp--preset--font-size--heading-3);
    font-weight: 600;
    padding-top: var(--wp--preset--spacing--40);
}

.single-tribe_events #tribe-events-pg-template {
    max-width: var(--content-width-1);
    padding-left: 0;
    padding-right: 0;
    padding-bottom: 0;
    width: 90vw;
}

.single-tribe_events .tribe-events-single .tribe-events-event-meta {
    width: 100%;
}

.single-tribe_events .tribe-events-single .tribe-events-event-meta:has(+.tribe-events-event-meta.secondary) {
    width: 60%;
}

.single-tribe_events .tribe-events-single .tribe-events-event-meta.secondary {
    width: 40%;
}

.tribe-events-single ul.tribe-related-events li {
    background-color: var(--wp--preset--color--gray-contrast-3);
    width: 100%;
    max-width: calc((100% - var(--wp--preset--spacing--40)) / 3);
    flex-basis: calc((100% - var(--wp--preset--spacing--40)) / 3);
    margin-right: var(--wp--preset--spacing--20);
}

.tribe-events-single ul.tribe-related-events li .tribe-related-events-title {
    font-size: var(--wp--preset--font-size--medium);
    line-height: 1;
}

.tribe-events-single ul.tribe-related-events li .tribe-related-events-title:hover a {
    color: var(--wp--preset--color--darker-primary);
}

.tribe-events-single ul.tribe-related-events li .tribe-related-event-info .tribe-related-event-info-date {
    background-color: white;
    color: var(--wp--preset--color--primary);
    display: inline-block;
    font-weight: 700;
    margin-bottom: 0;
    line-height: 1.2;
    padding: 0.75rem;
}

.tribe-events-single ul.tribe-related-events li .tribe-related-event-info {
    flex-direction: column;
    height: 100%;
    padding: 0 1.5rem 6rem;
    position: relative;
}

.tribe-related-event-info-more-btn {
    position: absolute;
    background-color: var(--wp--preset--color--primary);
    color: white;
    bottom: 1.5rem;
    display: block;

    border-radius: 50px;
    border-width: 2px solid var(--wp--preset--color--primary);
    font-weight: 700;
    letter-spacing: 2px;
    line-height: 1.4;
    padding: 0.75rem 1.5rem;
    text-transform: uppercase;
}

.tribe-related-event-info-more-btn:hover {
    background-color: var(--wp--preset--color--darker-primary);
    text-decoration: none;
}

.tribe-events-single .tribe-events-sub-nav {
    padding-left: 0;
}

.tribe-events-single .tribe-events-sub-nav .tribe-events-nav-next a,
.tribe-events-single .tribe-events-sub-nav .tribe-events-nav-previous a {
    color: var(--wp--preset--color--base-one);
    display: flex;
    position: relative;
}

.tribe-events-single .tribe-events-sub-nav .tribe-events-nav-next a {
    padding-right: 1.15rem;
    text-align: right;
}

.tribe-events-single .tribe-events-sub-nav .tribe-events-nav-previous a {
    padding-left: 1.15rem;
}

.tribe-events-single .tribe-events-sub-nav .tribe-events-nav-next a:after,
.tribe-events-single .tribe-events-sub-nav .tribe-events-nav-previous a:before {
    background-image: none;
    background-repeat: no-repeat;
    background-color: var(--wp--preset--color--primary);
    mask-size: contain;
    height: 1rem;
    width: 1rem;
    position: absolute;
    top: 50%;
    transform: translate(0, -50%);
}

.tribe-events-single .tribe-events-sub-nav .tribe-events-nav-previous a:before {
    -webkit-mask-image: url(https://unpkg.com/feather-icons@4.29.2/dist/icons/chevron-left.svg);
    mask-image: url(https://unpkg.com/feather-icons@4.29.2/dist/icons/chevron-left.svg);
    left: 0;
    right: auto;
}

.tribe-events-single .tribe-events-sub-nav .tribe-events-nav-next a:after {
    -webkit-mask-image: url(https://unpkg.com/feather-icons@4.29.2/dist/icons/chevron-right.svg);
    mask-image: url(https://unpkg.com/feather-icons@4.29.2/dist/icons/chevron-right.svg);
    right: 0;
    left: auto;
}

.single-tribe_events .tribe-blocks-editor .tribe-events-single-event-title {
    font-size: var(--wp--preset--font-size--heading-1);
    font-weight: 600;
}

.single-tribe_events .tribe-blocks-editor .tribe-events-schedule .tribe-events-schedule__datetime {
    font-size: var(--wp--preset--font-size--medium);
}

.single-tribe_events .tribe-block__venue {
    max-width: 100%;
}

.single-tribe_events .tribe-block__venue .tribe-block__venue__meta .tribe-block__venue__name h3 {
    font-size: var(--wp--preset--font-size--medium);
    font-weight: 500;
}

.single-tribe_events :is(.tribe-block__venue__map, .tribe-events-venue-map) {
    width: 100%;
}

.single-tribe_events:is(.tribe-block__venue__map, .tribe-events-venue-map) div[id^="tribe-events-gmap"] {
    max-width: 30rem;
    width: 100% !important;
}

.single-tribe_events .tribe-events-meta-group.tribe-events-meta-group-gmap {
    margin-right: 0;
}

.single-tribe_events .tribe-events-meta-group .tribe-events-single-section-title {
    font-size: var(--wp--preset--font-size--small);
}

.post-type-archive .tribe-events-term-description {
    color: var(--wp--preset--color--base-two);
    display: block;
    font-size: 1rem;
    padding-bottom: var(--wp--preset--spacing--40);
}

.post-type-archive .tribe-events-header__title-text {
    font-weight: 600;
    font-size: var(--wp--preset--font-size--heading-3) !important;
}

.single-tribe_events .tec_sponsors_query {
    display: none;
}

.single-tribe_events .tec_sponsors_query:has(.random_sponsors_query_wrapper) {
    display: flex;
    order: 2;
}

.tribe-events-single .tribe-link-view-attendee {
    padding-top: var(--wp--preset--spacing--40);
}

.event-tickets .tribe-tickets__tickets-form,
.single-tribe_events .event-tickets .tribe-tickets__rsvp-wrapper {
    background-color: var(--wp--preset--color--gray-contrast-3);
    max-width: 100%;
    margin-top: 0;
}

.event-tickets .tribe-tickets__rsvp-wrapper .tribe-tickets__rsvp {
    justify-content: space-around;
}

.event-tickets .tribe-tickets__rsvp-wrapper .tribe-tickets__rsvp div.tribe-common-g-col {
    width: auto;
    max-width: 100%;
}

.event-tickets .tribe-tickets__rsvp-wrapper .tribe-tickets__rsvp div.tribe-tickets__rsvp-details-wrapper {
    flex-grow: 2;
}

.entry .entry-content .event-tickets .tribe-tickets__tickets-item-content-sale-label,
.event-tickets .tribe-tickets__tickets-item-content-sale-label {
    background-color: var(--wp--preset--color--primary);
    --tec-color-icon-focus: white;
}

.tec-block__single-event:has(:not(.wp-block-group)) {
    padding-bottom: var(--wp--preset--spacing--60);
}

.event-tickets .tribe-tickets__form input:not([type="submit"], [type="button"]) {
    padding: 0.65em 1em;
}

.tribe-events-single .attendee-meta.toggle {
    color: var(--wp--preset--color--primary);
    font-weight: 700;
    margin-bottom: 1rem;
}

.tribe-events-single .attendee-meta.toggle:hover {
    color: var(--wp--preset--color--primary);
}

.tribe-rsvp>.tribe-item,
.tribe-tickets ul.tribe-orders-list>.tribe-item {
    background-color: var(--wp--preset--color--gray-contrast-3);
    border: 2px solid var(--wp--preset--color--gray-contrast-1);
    border-radius: 5px;
    padding: var(--wp--preset--spacing--40);
}

.tribe-rsvp>.tribe-item:last-child,
.tribe-tickets ul.tribe-orders-list>.tribe-item:last-child {
    margin-bottom: var(--wp--preset--spacing--40);
}

.tribe-tickets ul.tribe-orders-list .tec__tickets-my-tickets-order-tickets-list-wrapper {
    margin-bottom: 0;
}

.tribe-events-single #tribe-events-footer {
    padding-bottom: 0;
}

.tribe-events-single .tribe_events .tribe-tickets__tickets-wrapper {
    order: -10;
    margin-top: 0;
    margin-bottom: 15px;
}

.tribe-events-single .tribe_events .tribe-link-view-attendee {
    order: -12;
}

.tribe-events-schedule .tribe-events-cost {
    display: none !important;
}

.single-tribe_events .tribe_events .tribe-events-event-image {
    order: -12;
}

@media (min-width: 600px) and (max-width: 992px) {
    .tribe-events-single ul.tribe-related-events {
        flex-direction: row;
        flex-wrap: wrap;
    }

    .tribe-events-single ul.tribe-related-events li {
        max-width: calc((100% - var(--wp--preset--spacing--20)) / 2);
        flex-basis: calc((100% - var(--wp--preset--spacing--20)) / 2);
    }

    .tribe-events-single ul.tribe-related-events li:nth-child(2) {
        margin-right: 0;
    }
}

@media (min-width: 768px) {
    .tribe-events-single ul.tribe-related-events {
        justify-content: flex-start;
        width: 100%;
    }

    .tribe-events-single .tribe-events-back {
        margin-bottom: var(--tec-spacer-2);
    }

    .event-tickets .tribe-tickets__tickets-footer .tribe-tickets__tickets-buy.tribe-common-c-btn {
        margin-left: 0;
    }

    .event-tickets .tribe-tickets__tickets-footer--active .tribe-tickets__tickets-buy.tribe-common-c-btn {
        margin-left: var(--tec-spacer-6);
    }
}

@media only screen and (max-width: 992px) {
    .tec_sponsors_query .random_sponsors_query:has(>a:nth-of-type(n)) .sponsor_img {
        padding-bottom: 19%;
        width: calc(100% / 3);
    }
}

@media only screen and (max-width: 767px) {

    .single-tribe_events .tribe-events-single .tribe-events-event-meta:has(+.tribe-events-event-meta.secondary),
    .single-tribe_events .tribe-events-single .tribe-events-event-meta.secondary {
        width: 100%;
    }
}

@media only screen and (max-width: 599px) {
    .tribe-events-single ul.tribe-related-events li {
        max-width: 100%;
        flex-basis: 100%;
        margin-right: 0;
    }

    .single-tribe_events .tribe-events-related-events-title {
        text-align: center;
    }

    .tribe-events-single ul.tribe-related-events {
        margin-right: auto;
        margin-left: auto;
    }

    .tribe-events-single ul.tribe-related-events li .tribe-related-events-title {
        font-size: var(--wp--preset--font-size--heading-5);
    }

    .tec_sponsors_query .random_sponsors_query:has(>a:nth-of-type(n)) .sponsor_img {
        min-width: 250px;
        padding-bottom: 28%;
    }
}

@media only screen and (max-width: 499px) {
    .event-tickets .tribe-tickets__tickets-form .tribe-tickets__tickets-footer {
        flex-wrap: wrap;
        gap: 10px;
    }
}

@media only screen and (max-width: 479px) {
    .tribe-related-event-info-more-btn {
        font-size: var(--wp--preset--font-size--tiny);
    }

    .tec_sponsors_query .random_sponsors_query:has(>a:nth-of-type(n)) .sponsor_img {
        min-width: 215px;
        padding-bottom: 30%;
    }

    .tribe-events-event-meta .tribe-events-meta-group {
        flex: auto;
        margin-right: 0;
        width: 100%;
    }

    .tribe-events-event-meta .tribe-events-meta-group-organizer {
        margin-top: 1rem;
    }
}

@media only screen and (max-width: 450px) {
    .tribe-related-event-info-more-btn {
        font-size: var(--wp--preset--font-size--tiny);
    }

    .tec_sponsors_query .random_sponsors_query:has(>a:nth-of-type(n)) .sponsor_img {
        min-width: 60%;
        padding-bottom: 34%;
    }
}